Bug 96521 - Fix gtk-doc build when builddir != srcdir
Summary: Fix gtk-doc build when builddir != srcdir
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 02:58 UTC by Ting-Wei Lan
Modified: 2016-06-24 10:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
build: Fix gtk-doc build when builddir ≠ srcdir (3.16 KB, patch)
2016-06-14 02:58 UTC, Ting-Wei Lan
Details | Splinter Review
build: Fix gtk-doc build when builddir ≠ srcdir (v2) (2.98 KB, patch)
2016-06-24 10:28 UTC, Ting-Wei Lan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2016-06-14 02:58:02 UTC
Please see the attached patch. It fixes gtk-doc build problems when building in non-srcdir.
Comment 1 Ting-Wei Lan 2016-06-14 02:58:52 UTC
Created attachment 124521 [details] [review]
build: Fix gtk-doc build when builddir ≠ srcdir
Comment 2 Zeeshan Ali 2016-06-23 21:46:01 UTC
Comment on attachment 124521 [details] [review]
build: Fix gtk-doc build when builddir ≠ srcdir

Review of attachment 124521 [details] [review]:
-----------------------------------------------------------------

::: docs/geoclue-docs.xml
@@ -66,4 @@
>      <xi:include href="docs-org.freedesktop.GeoClue2.Manager.xml"/>
>      <xi:include href="docs-org.freedesktop.GeoClue2.Client.xml"/>
>      <xi:include href="docs-org.freedesktop.GeoClue2.Location.xml"/>
> -    <xi:include href="xml/gclue-enums.xml"/>

We need the enums included.
Comment 3 Ting-Wei Lan 2016-06-24 10:28:37 UTC
Created attachment 124699 [details] [review]
build: Fix gtk-doc build when builddir ≠ srcdir (v2)
Comment 4 Zeeshan Ali 2016-06-24 10:46:45 UTC
Pushed, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.